CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   OpenFOAM 1.6 on CentOS 4.x (http://www.cfd-online.com/Forums/openfoam/71790-openfoam-1-6-centos-4-x.html)

Pytthon January 14, 2010 16:17

OpenFOAM 1.6 on CentOS 4.x
 
Has anyone successfully install the latest OF version on CentOS 4.x?, Can anyone provide me a link for OF 1.3 download?

Regards.

linnemann January 15, 2010 02:52

I installed it on a cluster running RHEL 4.x and it works fine. We have although upgraded to Rocks 5.x which as you might have guessed is based on CentOS 5.x.

It is doable but you need to compile a lot of stuff from source to get the right dependencies. It's much easier with 5.x.

1.3 download

http://sourceforge.net/projects/foam/files/

CedricVH January 15, 2010 06:30

Try this: http://centfoam.sourceforge.net/

Pytthon January 15, 2010 12:05

Quote:

Originally Posted by CedricVH (Post 242720)

CedricVH, have you ever try the centfoam package? what's the difference between the official version and centfoam version? thanks.

linnemann January 15, 2010 12:09

Hi

As I am the maintainer of CentFOAM I will answer the question:)

There is no differences from the official version. The difference is it is built against CentOS libraries and those not directly available via yum, are added to the Thirdparty package.

So basically its easier to install this on CentOS than the official release.

Also there are some mesh related packages on the project page which works natively on CentOS.

Pytthon January 15, 2010 12:20

Quote:

Originally Posted by linnemann (Post 242756)
Hi

As I am the maintainer of CentFOAM I will answer the question:)

There is no differences from the official version. The difference is it is built against CentOS libraries and those not directly available via yum, are added to the Thirdparty package.

So basically its easier to install this on CentOS than the official release.

Also there are some mesh related packages on the project page which works natively on CentOS.

Can I use the CentFOAM package with CentOS 4.x? or it is built with the last CentOS release?

linnemann January 15, 2010 12:21

Hi

I haven't tried it on 4.x but I doubt it will work.

It is built against the 5.x release.

Pytthon January 15, 2010 12:22

Thanks; Regards.


All times are GMT -4. The time now is 23:15.